import { Position, WorkflowObject } from '../models/types';
import * as i0 from "@angular/core";
export declare class NodeInteractionService {
    private viewport;
    private workflowState;
    private canvasState;
    private positionUpdate;
    private nodeFinder;
    findNodeAtPoint(point: Position): WorkflowObject | null;
    private isPointInNode;
    startDragging(node: WorkflowObject, point: Position): void;
    handleDragging(currentPoint: Position, gridSize: number): void;
    finalizeDragging(finalPoint: Position): void;
    private findNearestSwimlane;
    private keepWithinBounds;
    private isProtectedNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeInteractionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NodeInteractionService>;
}
